// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#include "SimpleTexturedMaterial.hpp"

using namespace Dawn;

struct Color SimpleTexturedMaterial::getColor() {
  return this->data.color;
}

void SimpleTexturedMaterial::setColor(struct Color color) {
  this->data.color = color;
}

std::vector<std::shared_ptr<IRenderPass>> SimpleTexturedMaterial::getPasses(
  struct RenderPassContext &ctx
) {
  this->data.model = this->getItem()->getWorldTransform();
  this->data.projection = ctx.camera->getProjection();
  this->data.view = ctx.camera->getItem()->getWorldTransform();
  this->data.color = COLOR_RED;

  return {
    createRenderPass<SimpleTexturedShader, struct SimpleTexturedShaderData>(
      *this,
      data
    )
  };
}
