// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#include "TimeManager.hpp"
#include <sys/time.h>
#include <chrono>
#include <ctime>
#include <iostream>

using namespace Dawn;

int64_t TimeManager::getRealTime() {
  auto millisec_since_epoch = std::chrono::duration_cast<std::chrono::milliseconds>(std::chrono::system_clock::now().time_since_epoch()) .count();
  return millisec_since_epoch;
}